Skip to main content
GET
/
history
/
imessage
/
{to}
/
{from}
/
{limit}
cURL
curl --request GET \
  --url https://api.contiguity.com/conversations/history/imessage/{to}/{from}/{limit} \
  --header 'Authorization: Bearer <token>'
{
  "id": "req_xxxxxxxxxxxxxxxx",
  "timestamp": 1772568052124,
  "api_version": "v2026.3.3",
  "object": "response",
  "data": {
    "conversation": [
      {
        "to": "+1234567890",
        "from": "+15555555555",
        "message": "Hello, world!",
        "timestamp": 1757550304652,
        "read": 1757550304652,
        "delivery": {
          "status": "delivered",
          "delayed": false,
          "timestamp": 1757550304652
        },
        "risk": {
          "auto_reported_as_spam": true,
          "marked_as_spam": false
        },
        "attachments": []
      }
    ],
    "reactions": [
      {
        "reaction": "love",
        "on": "Hello, world!",
        "timestamp": 1757550304652,
        "action": "added",
        "from": "+15555555555"
      }
    ],
    "chat": {
      "filtered": false,
      "chat_marked_as_spam": false,
      "limit": 20,
      "total": 382,
      "count": 20
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.contiguity.com/llms.txt

Use this file to discover all available pages before exploring further.

Technically, iCloud emails are supported… but their behavior is unpredictable.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

to
string
required

Recipient's iMessage address. Must be in E.164 format.

Example:

"+1234567890"

from
string
required

Leased iMessage number that has been used to send messages to the recipient. Must be in E.164 format.

Example:

"+15555555555"

limit
string
default:20

Limit of how many messages to return, default is 20. Should never exceed 200.

Example:

20

Response

Get iMessage conversation history for a thread

id
string
required
Example:

"req_xxxxxxxxxxxxxxxx"

timestamp
number
required
Example:

1772568052124

api_version
string
required
Example:

"v2026.3.3"

object
string
required
Example:

"response"

data
object
required